# -*- shell-script -*-
#
#  Configuration file for ferm(1).
#  

@def $SSH_ALLOWED_IPS = ({{ ferm_ssh_allowed_ips | join(' ') }});
@def $ICINGA_IPS = ({{ ferm_icinga_ips | join(' ') }});
@def $NET_SVC_IPS = ({{ ferm_net_svc_ips | join(' ') }});

@def $DFN_IPS = ({{ ferm_dfn_ips | join(' ') }});
@def $INKA_IPS = ({{ ferm_inka_ips | join(' ') }});
@def $KAW_IPS = ({{ ferm_kaw_ips | join(' ') }});
@def $STUWE_IPS = ({{ ferm_stuwe_ips | join(' ') }});
@def $ATIS_IPS = ({{ ferm_atis_ips | join(' ') }});

domain (ip ip6) {
    table filter {
        chain INPUT {
            policy DROP;
    
            # connection tracking
            mod state state INVALID DROP;
            mod state state (ESTABLISHED RELATED) ACCEPT;
    
            # allow local packet
            interface lo ACCEPT;
    
            # respond to ping
            proto icmp ACCEPT; 
    
            # allow SSH connections
            proto tcp saddr $SSH_ALLOWED_IPS dport ssh ACCEPT;
    
            # allow connections from NetDoc
            proto tcp saddr $NET_SVC_IPS dport 10090 ACCEPT;
    
            # allow RADIUS connections
            proto (tcp udp) dport radius ACCEPT;
            proto (tcp udp) dport radius-acct ACCEPT;
            proto (tcp udp) saddr $ATIS_IPS dport (radius radius-acct) ACCEPT;
    
            # allow RadSec connections from DFN / INKA / KAW / STUWE
            proto tcp saddr $DFN_IPS dport 2083 ACCEPT;
            proto tcp saddr $INKA_IPS dport 2083 ACCEPT;
            proto tcp saddr $KAW_IPS dport 2083 ACCEPT;
            proto tcp saddr $STUWE_IPS dport 2083 ACCEPT;

        }
        chain OUTPUT {
            policy ACCEPT;
    
            # connection tracking
            #mod state state INVALID DROP;
            mod state state (ESTABLISHED RELATED) ACCEPT;
        }
        chain FORWARD {
            policy DROP;
    
            # connection tracking
            mod state state INVALID DROP;
            mod state state (ESTABLISHED RELATED) ACCEPT;
        }
    }
}

